Subject: Re: "wait_subproc" error?
From: [email-masked] (Christopher G. Faylor)

3 Jun 1998 13:07:13 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Geoff Hart <[email-masked]> wrote:
>Lately, I've been having trouble with bash.  I get the following error
>when I exit telnet (the telnet client was logged into some other host,
>typically a UNIX host, but sometimes another NT box running Sergey's INETD
>package).
>
>$ exit
>Connection closed by foreign host.
>(c:\usr\bin\sh.exe 1166) wait_subproc: wait failed. nchildren 1, wait -1,
>err 6
>(c:\usr\bin\sh.exe 1166) wait_subproc: event[1] 0x20, error 6
>
>and then the shell hangs.  Ctrl-C (Z, \, ...) do nothing.
>
>What does that error mean?

It is an internal error.  If you run with STRACE=1,/some/file and
send me the file, I might be able to analyze what's happening.

If you are not running a "coolview" release, please try that before
running with STRACE.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada